Bug 670567 - (CVE-2011-0283) CVE-2011-0283 krb5: uninitialized pointer use in krb5kdc leads to KDC crash
CVE-2011-0283 krb5: uninitialized pointer use in krb5kdc leads to KDC crash
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://web.mit.edu/kerberos/advisorie...
public=20110208,reported=20110113,sou...
: Security
Depends On: 669423 676126
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-18 12:05 EST by Vincent Danen
Modified: 2015-07-31 08:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-05 11:54:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2011-01-18 12:05:08 EST
Changes in the KDC network code in the krb5-1.9 release introduced a bug that allows a null pointer dereference, which would cause the KDC to crash.  Any request packet that is sufficiently malformed that the KDC would not generate a response packet can trigger this bug.

This flaw will be addressed as part of MITKRB5-SA-2011-002.  It does not affect any version of Kerberos prior to 1.9.
Comment 2 Vincent Danen 2011-02-08 16:26:27 EST
This issue is now public:

http://web.mit.edu/kerberos/advisories/MITKRB5-SA-2011-002.txt

Statement:

This issue did not affect the versions of krb5 as shipped with Red Hat Enterprise Linux 3, 4, 5 or 6.
Comment 3 Vincent Danen 2011-02-08 16:31:26 EST
Created krb5 tracking bugs for this issue

Affects: fedora-rawhide [bug 676126]

Note You need to log in before you can comment on or make changes to this bug.